MINOVAES - PRODUCT - Support #1931

Talent Master Data
01/13/2023 11:23 AM - Fiona Avangeline Jonathan

Status: Closed Start date: 01/13/2023
Priority: Urgent Due date:

Assignee: Fiona Avangeline Jonathan % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.00 hour
Description

Dear Mba Yomma,

Mohon dibantu untuk menu Talent Master Data tab Employee Profile ketika mau add baru, field Proficiency nya tidak difilter sesuai
qualificationID yang dipilih. Mohon dibantu juga menampilkan Proficiency dalam bentuk angka-deskripsi.

Talent Master Data

Employee Overview - 10000150 - Boas ~@QAQn
Employee |D: 10000150 Company I10: MINOVAIS |

Full Name: Boas Employee Office: Minowva [Jakarta)
Employae Status: Resign Organization: Human resources

Employee Type: Tetap Position: Head HR

Employee Profile Talent Matrix Data Talent Action

Start Date: 01/01/2023 Create By:
End Date: 31/12/2023 Create Date:

QualificationlD: 00000062 - Profesionalism Change By:

Proficiency: | | I I Change Date:

Motes: Inspiring
Inspiring
Exceptional
Mature Save ﬁ Back
ery Good
ery Good
Standard
Adeguate
Effective
Developing

Growing

Growing =
Qualification Catalog

Search Tree

Object Tree D Object Class Abbr Start Date End Date
Core Compeatency 00000020 aG CORE 20210701 e |

Profesionalism Q0000052 Q FROF 20270101 PYePI1251
Communication 000000483 (1] COMM 20270101 P12
Excellence 000000584 a EXCE 20270101 P12
Teamwork 000000485 (1] TEAM 20270101 P12
Adaptability 00000088 a ADPT 20270101 P12
Customer Orientation 00000072 a CUST 20270101 Poee1231
Analytical 00000083 (8] AMLT 20210701 e |

Scoring - 0 - 00000062 - Profesionalism

& & 2 I
General Data Relationship Description Qualification Object D¢
Action

Start Date End Date Index Scoring Description | Score Key Behavior Notes

01/012021 3NM2/9999] 5 Inspiring 100.00 Role model, gain trust, consistence

01/0/201 3/12/9999] 4 Mature 8000 Beyond standard, extra effort, work effectivenass

01/012021 3NM2/9999] 3 Standard &0.00 Business standard profesionalism as policy, rule and standard ethics

01/01/2021 3M12/9999) 2 Developing 40.00 Meed reminder, guidance, inconsistence

01/09/201 /9990 ) 1 Urreliabla 20.00 Less commitment, moody

Terima kasih.

Port: http://remote.minovais.com:31133/

Vacant Status

History

#1 - 01/13/2023 11:28 AM - Fiona Avangeline Jonathan

- Status changed from New to Assigned

#2 - 03/07/2023 10:08 AM - Tri Rizqiaty

- File clipboard-202303071008-lyg8).png added
- File MinovaUltil. FieldGenerator.js added

- Status changed from Assigned to Developing
Fixing :

Update Ul\scripts : MinovaUtil.FieldGenerator
http://remote.minovais.com:31133/

HE MinovaXtype js ._J} B CtiTm ToPayroll js ._JlETmToPayroH.Js ._J} B MinovaXtype js ._JIEcontrol\erperformance J2 td = Minova kil FieldGenerator js E3 1
var frm = Ext.ComponentQuery.query(': T+ _form + ']')[0]:
if (frm) {

if (target) { console.log(target):;
fAff-———- add by T nwh 20230307 star
if (target ='F v'&k thl = 'F
_store = frm.gt () .findField('Fr
= _store.proxy.extraParams = {
tableNams: '
param: 'Er

XS
1cy') .getStore() ;

=ctID[=]' + Ext.ComponentQuery.query('[n ionID] ') [0].valData
r bi
_store.load();
lelseq
var £ = frm.getForm() .findField(target)
_store = f.getStore();
var _tbl = _store.proxy.extraParams.tableName:
var cldParam = _store.proxy.extraParams.param;
= _store.proxy.extraParams = {
tableName: _thl,
param: _label + '[=]' + _Value
r b
_store.load();

r }

/{--—— add by Tri nwh 20230307 end

raParams.tableName;
r oldParam = _Stor /.extraParams.param;
tore.proxy.extraParams = {

tableNams: _thl,

param: _label + '[=]' + _Value
//_store.load{); //// comment by Tri nwh 20230307
r }
[T] if (custumFunc) {
2rr=1 g Fram et

#3 - 03/07/2023 10:08 AM - Tri Rizqgiaty
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqgiaty to Fiona Avangeline Jonathan

#4 - 03/07/2023 11:07 AM - Fiona Avangeline Jonathan
- File clipboard-202303071107-hlles.png added
- Status changed from QA Test to Closed

Done, terima kasih.

Result
. Employee Profile . Talant Matrix [
Start Date: 01/03/2023
End Date: 31/03/2023
QualificationiD: 000000462 - Profesicnalism
Proficiency: [ | i
Motes: Inspiring
Mature
Standard
Developing
Unreliable
Files
clipboard-202301131122-zwqqp.png 57.2 KB 01/13/2023 Fiona Avangeline Jonathan
clipboard-202301131123-68wp9.png 83.2 KB 01/13/2023 Fiona Avangeline Jonathan
clipboard-202303071008-lyg8j.png 88.1 KB 03/07/2023 Tri Rizgiaty
MinovaUtil.FieldGenerator.js 161 KB 03/07/2023 Tri Rizqgiaty
clipboard-202303071107-hlles.png 17.4 KB 03/07/2023 Fiona Avangeline Jonathan
